curl --request PUT \
--url /tenant/v1/parties/1 \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {access_token}' \
--data '{
"id_number": "1016690206",
"full_name": "فلان الفلاني تجريبي",
"phone_number": "+966567890317",
"date_of_birth": "1990-01-01",
"date_of_birth_hijri": "1410-05-12",
"region_id": 2,
"city_id": 57
}'
Parties
Update Party
Update party information
PUT
/
tenant
/
v1
/
parties
/
{id}
curl --request PUT \
--url /tenant/v1/parties/1 \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {access_token}' \
--data '{
"id_number": "1016690206",
"full_name": "فلان الفلاني تجريبي",
"phone_number": "+966567890317",
"date_of_birth": "1990-01-01",
"date_of_birth_hijri": "1410-05-12",
"region_id": 2,
"city_id": 57
}'
Path Parameters
Headers
Body
curl --request PUT \
--url /tenant/v1/parties/1 \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {access_token}' \
--data '{
"id_number": "1016690206",
"full_name": "فلان الفلاني تجريبي",
"phone_number": "+966567890317",
"date_of_birth": "1990-01-01",
"date_of_birth_hijri": "1410-05-12",
"region_id": 2,
"city_id": 57
}'

